import argparse
import sys
import gzip

from pyspark.sql import SparkSession


def read_predict(hdfs_path: str):
    df = spark.read.text(hdfs_path)
    df.show(truncate=False)


def _main():
    read_predict("/dw/recommend/model/34_ad_predict_data/20241004_351_0927_1003_1000/*")


if __name__ == '__main__':
    # parser = argparse.ArgumentParser(description="model_predict_analyse.py")
    # parser.add_argument("-p", "--predict_path_list", type=list, help="config file path")
    # args = parser.parse_args()
    #
    # predict_path_list = args.predict_path_list
    # # 判断参数是否正常
    # if len(predict_path_list) != 2:
    #     sys.exit(1)
    spark = SparkSession.builder.appName("model_predict_analyse").getOrCreate()
    _main()
    spark.stop()
